Forum Linux Mint Polska

Autor Wątek: [SOLVED] Kłopot z uruchomieniem skanera Canon LiDe 220  (Przeczytany 1925 razy)

Offline ciastek1981

  • Animator Porządkowy
  • Globator Moderalny
  • Wielki miętus
  • *******
  • Wiadomości: 901
  • Punkty: 114
  • Płeć: Mężczyzna
  • Klony Xubuntu
  • Środowisko graficzne: Xfce
  • Wersja systemu: Inny
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #30 dnia: Styczeń 28, 2018, 01:30:43 am »
Poczekaj Ulvhedin coś wykombinuje. PRO to nie HOBBY z klubu Samopomoc Chłopska  ;D

scanimage -L
Coś zgłasza?

Offline oktet

  • Miętowa sadzonka
  • **
  • Wiadomości: 72
  • Punkty: 14
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: LMDE 2
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #31 dnia: Styczeń 28, 2018, 01:34:54 am »
Moment, zaraz sprawdzę.

EDIT:  W złym momencie zapytałeś, bo akurat kasuję Minta i instaluję Windę.  ;))))))))

EDIT:  Wynik poniżej.
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
« Ostatnia zmiana: Styczeń 28, 2018, 01:53:31 am wysłana przez oktet »
Niektórzy twierdzą że "Linuksy" są zawodne i źle zabezpieczone i dlatego serwery Microsoft pracują na... Debianie.   ??? ... :o

Offline napaony

  • Miętowe nasionko
  • *
  • Wiadomości: 22
  • Punkty: 0
  • Środowisko graficzne: Mate
  • Wersja systemu: Linux Mint 17.2
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #32 dnia: Styczeń 28, 2018, 02:21:47 am »
ten skaner jest  wspierany tylko USB
 Backend: genesys (1.0-63) http://www.sane-project.org/sane-backends.html#S-GENESYS nie wiem dlaczego nie ma tej paczki w mincie, z tego co widze trzeba zainstalować "sane-genesys" i "sane-daemon"
« Ostatnia zmiana: Styczeń 28, 2018, 02:26:24 am wysłana przez napaony »

Offline ciastek1981

  • Animator Porządkowy
  • Globator Moderalny
  • Wielki miętus
  • *******
  • Wiadomości: 901
  • Punkty: 114
  • Płeć: Mężczyzna
  • Klony Xubuntu
  • Środowisko graficzne: Xfce
  • Wersja systemu: Inny
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #33 dnia: Styczeń 28, 2018, 02:32:42 am »
Miej na względzie, że problem jest z wersją LMDE 2 więc Debian Jessie i klony. Aktualną paczkę oktet skompilował ze źródeł.

Dla MX "wystarczyło" https://forum.mxlinux.org/viewtopic.php?t=40206#p388726 z tym, że libsane-common było nowsze 1.0.25-2mx150+1 , a nie jak 1.0.24-8+deb8u2 (tak? już mi się nie chce sprawdzać) .

Czy w LMDE 2 też próbowałeś to doinstalować?

Wobraź sobie że wrzuciłem na pendraka Mint 18.3 Sylvia.
Zrobiłem pełną aktualizację i zainstalowałem Sane.

apt-get install gocr libusb-dev libsane-dev libsane-extras xsane-common xsane
Nie kombinowałem nic wiecej i... scaner RUSZYŁ natychmiast !!


Z Windą to na stałe, czy do pierwszej konieczności zrobienia po aktualizacji ;)

chkdsk /f /r

Offline Ulvhedin

  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1644
  • Punkty: 1120
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #34 dnia: Styczeń 29, 2018, 12:46:22 pm »
Poczekaj Ulvhedin coś wykombinuje.

hehe.. ;) ale ja już wykombinowałem, wskazałem zeby zainstalowac najnowsza wersje sane. To repo które podałem - to buildy z gita - ostatnie snapshoty.
Bez znaczenia czy to LMDE czy Ubuntu, czy Mint.
Po instalacji wykonać:
sudo sane-find-scanner
I na oko tyle.

Offline ciastek1981

  • Animator Porządkowy
  • Globator Moderalny
  • Wielki miętus
  • *******
  • Wiadomości: 901
  • Punkty: 114
  • Płeć: Mężczyzna
  • Klony Xubuntu
  • Środowisko graficzne: Xfce
  • Wersja systemu: Inny
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #35 dnia: Styczeń 29, 2018, 13:27:15 pm »
To ja już nie wiem

1. W LMDE 2 pojawia się komunikat, że dodawanie PPA jest niewspierane.
2. Ręczna próba instalacji paczek z https://launchpad.net/~rolfbensch/+archive/ubuntu/sane-git/+sourcepub/8734337/+listing-archive-extra jest problematyczna przez niespełnione zależności (wymaga czegoś tam nowszego, nie pamiętam czego)

Więc, albo to nie tak hop siup albo klasyczny PEBCAK  8)

Edyta: Niby można do Menadżera Aktualizacji dodać

deb http://ppa.launchpad.net/rolfbensch/sane-git/ubuntu xenial main
deb-src http://ppa.launchpad.net/rolfbensch/sane-git/ubuntu xenial main


i ściągnąć klucz

B7CC8701http://keyserver.ubuntu.com:11371/pks/lookup?fingerprint=on&op=index&search=0xE3D3EA935A4B0A7DFA9EE84EFBF29D8CB7CC8701

No, ale jak w praktyce Frankenik zadziała to nie wiem.

Offline Ulvhedin

  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1644
  • Punkty: 1120
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #36 dnia: Styczeń 29, 2018, 15:14:47 pm »
Dobra przejrzalem cały watek, ciastek1981 Twoje wyjasnienia były prawidłowe. Nie wiem co prawda czemu roznice w configach sa ale to temat dla developerów paczek dla dystrybucji.
Wersja 1.0.27 SANE jak najbardziej obsluguje  ten skaner.

Autor watku stracił jak widac zainteresowanie tematem, brak info, brak wyników poleceń. Wątek do zamknięcia - jeszcze chwilkę poczekamy.

Offline ciastek1981

  • Animator Porządkowy
  • Globator Moderalny
  • Wielki miętus
  • *******
  • Wiadomości: 901
  • Punkty: 114
  • Płeć: Mężczyzna
  • Klony Xubuntu
  • Środowisko graficzne: Xfce
  • Wersja systemu: Inny
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #37 dnia: Styczeń 29, 2018, 15:20:21 pm »
Z tego co pamiętam to zależności w tym PPA rozbijały się o m.in. libjpeg8, którego dla Jessie nie ma (jest dla Wheezy i Sid).

Pytanie tylko czy wrzucenie libjpeg8 z innego wydania czy z Ubuntu nie wygeneruje kolejnych problemów.

Edyta:
libsane : Wymaga: libgphoto2-6 (>= 2.5.9) ale 2.5.4-1.1+b2 ma zostać zainstalowany
          Wymaga: libgphoto2-port12 (>= 2.5.9) ale nie zostanie zainstalowany
          Wymaga: libjpeg8 (>= 8c) ale nie da się go zainstalować
sane-utils : Wymaga: libjpeg8 (>= 8c) ale nie da się go zainstalować

Alienem jeszcze przerobiłem (na LMDE 2) sane-backends-1.0.27.tar.gz na sane-backends_1.0.27-2_all.deb (bezpośredni link ) oraz strona pobierania Nie wiem czy nie lepiej byłoby zrobić to checkinstall (coś tam rzeźbiłem, z alienem jest mniej roboty  8)) Tylko czy to ma sens?


Offline oktet

  • Miętowa sadzonka
  • **
  • Wiadomości: 72
  • Punkty: 14
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: LMDE 2
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #38 dnia: Luty 09, 2018, 18:44:01 pm »
@Ulvhedin
Cytuj
Wersja 1.0.27 SANE jak najbardziej obsluguje  ten skaner.

Tak SANE go obsługuje, bo ten skaner jest w spisie na stronie SANE. Inaczej bym tematu nie ruszał. Mało tego, to Mint 18.3 domyślnie już instaluje SANE i skaner natychmiast startuje. - Specjalnie sprawdziłem świerzą instalację Mint 18.3 Sylvia.

Cytuj
Autor watku stracił jak widac zainteresowanie tematem, brak info, brak wyników poleceń. Wątek do zamknięcia - jeszcze chwilkę poczekamy.

To nie do końca tak jak mówisz. - To jest po prostu trochę ponad moje umiejętności Ulvhedin. Mierzę zamiary na siły.   :)

@ciastek198  niezmordowany przyjacielu, zainstalowałem twoją paczkę. Niestety - skaner ani drgnie. Jednak cosik ciągle brak.   :(

EDIT:
Kernel przecież to obsługuje, zależności niby są poinstalowane, konfiguracja jest sprawdzona. - Nic już nie rozumiem. Tutaj niestety jestem zbyt głupi.
Zrobiłem na dysku drugą partycję i zainstalowałem Mint 18.3 Sylvia. Skaner startuje natychmiast, bez instalacji czegokolwiek.
No ale to nie rozwiązuje problemu z LMDE 2, który jest moim właściwym systemem.
« Ostatnia zmiana: Luty 10, 2018, 03:47:55 am wysłana przez oktet »
Niektórzy twierdzą że "Linuksy" są zawodne i źle zabezpieczone i dlatego serwery Microsoft pracują na... Debianie.   ??? ... :o

Offline kris777

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 124
  • Punkty: 10
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #39 dnia: Luty 10, 2018, 12:08:59 pm »
Wynika z tego iż wersja LMDE 2 jest coś niedopracowane .... może można to jakoś zgłosić do developerów tego wydania i coś w nowej wersji poprawią .... bo naprawdę sprawdzałem wiele wersji Linux-ów i nie spotkałem się żeby skaner Canon Lide 220 nie pracował poprawnie .... poza PuppyLinux ...gdzie w najnowszej wersji nie mogłem znaleźć driverów na ichnim forum ( wiadomo że w tym systemie instaluje się specjalne paczki aby zainstalować jakiś program lub drivery ...a nie standardowe apt-get install lub ppa )

Offline oktet

  • Miętowa sadzonka
  • **
  • Wiadomości: 72
  • Punkty: 14
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: LMDE 2
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #40 dnia: Luty 10, 2018, 14:05:20 pm »
Wynika z tego iż wersja LMDE 2 jest coś niedopracowane ....

Tak, masz rację. Trochę Netu przejrzałem i te skanery generalnie chodzą bez problemu. Jedynie Debian, nie wiadomo czemu jest na ten skaner oporny.
Porad jest niewiele, bo to dotyczy jedynie Debiana, no i skaner nie jest jakiś super-popularny. To co znalazłem, to przetestowałem. - Niestety bez powodzenia.   :(
Niektórzy twierdzą że "Linuksy" są zawodne i źle zabezpieczone i dlatego serwery Microsoft pracują na... Debianie.   ??? ... :o

Offline ciastek1981

  • Animator Porządkowy
  • Globator Moderalny
  • Wielki miętus
  • *******
  • Wiadomości: 901
  • Punkty: 114
  • Płeć: Mężczyzna
  • Klony Xubuntu
  • Środowisko graficzne: Xfce
  • Wersja systemu: Inny
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #41 dnia: Luty 10, 2018, 22:00:16 pm »
No, a co zwraca?

sane-find-scannerhttps://manpages.debian.org/jessie/sane-utils/sane-find-scanner.1.en.html

scanimage -Lhttps://manpages.debian.org/jessie/sane-utils/scanimage.1.en.html

Ciężko coś wyrokować, a LMDE 3 to nie wiadomo kiedy wydadzą.

PS Może w /etc/sane.d/dll.conf trzeba usunąć tylko # hasha w odpowiednim miejscu? Nie mam teraz LMDE 2 na "wirtualce" więc nie sprawdzę.

Offline kris777

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 124
  • Punkty: 10
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #42 dnia: Luty 10, 2018, 22:42:50 pm »
Nie chciało mi się instalacji 3-ciego systemu i podziału dysku ...więc postawiłem LMDE 2 mate na virtualbox-ie . Na początku miałem problem żeby system w ogóle wykrywał podpięte podzespoły pod usb ...ale poradzilem sobie nadając uprawnienia dla użytkownika programowi virtualbox. Teraz na Virtualbox / LMDE po wpisaniu komendy lsusb mam :
Bus 001 Device 003: ID 04a9:190f Canon, Inc.
Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
po instalacji podstawowych paczek :
apt-get install gocr libusb-dev libsane-dev libsane-extras xsane-common xsaneoczywiście xsane nie rozpoznaje skanera :-)
po komendzie sane-find-scanner dostaję :
# sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x04a9 [Canon], product=0x190f [CanoScan], chip=GL848+) at libusb:001:003
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.
cat /etc/sane.d/genesys.conf | grep -i 0x190f
usb 0x04a9 0x190fscanimage -L
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
Po usunięciu wszystkich # oprócz w/w przy nazwie test ....nic się nie zmieniło czyli xsane nie znajdując skanera poprostu się nie uruchamia. Jeśli usunę # z test ...przynajmniej program xsane się uruchomił więc działa OK
Na oficjalnym forum Linux Mint w dziale Debian-a jedyną pomocną podpowiedzią jest link:
https://sites.google.com/site/easylinuxtipsproject/17
nie wiem w czym mógłby pomóc ? :-)  ..... na polskim forum Debiana .... na razie cisza :-)
Czarna magia .....
« Ostatnia zmiana: Luty 10, 2018, 23:16:51 pm wysłana przez kris777 »


Offline kris777

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 124
  • Punkty: 10
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Kłopot z uruchomieniem skanera Canon LiDe 220
« Odpowiedź #44 dnia: Luty 11, 2018, 11:25:42 am »
Nie za bardzo zrozumiałem twoją wypowiedź  @ciastek1981 .... ?

 Czarna magia..... i link do stronki : https://www.debian.pl/viewtopic.php?f=9&t=35041&sid=4cbed211d4ae0078904e43459cb16768

Znaczy że to już dla Ciebie nie jest czarna magia .... czy może wręcz przeciwnie ?

Ps. kolega @oktet szuka rozwiązania ...i jak dotąd  nie za bardzo chyba znalazł jakąś pomoc.
Mnie ten temat zainteresował z racji tego iż kiedyś chciałem na stałe przejść właśnie na  LMDE ..i jak sobie
przypomniałem ostatecznie zrezygnowałem z niego z licznych takich "kwiatków" jak  poprawna praca
skanera Canon LIDE 220... może więc uda się wspólnie rozwiązać problem ....lub czarną magię :-)
Trochę obawiam się informacji z zystemu LMDE / virtualbox ( czy będą wiarygodne z normalnie postawionym systemem ) Ale raczej powinno być OK bo podpięta drukarka samsunga ML 2165W ... jest widziana w systemie : Bus 001 Device 011: ID 04e8:330f Samsung Electronics Co., Ltd
i została wydrukowana strona testowa :-) .... trochę virtualka to takie podwójne wykrywanie podzespołów podłączonych pod USB :-)
Może przyczyną jest kernel ? .... na lubuntu mam :4.13.0-32 ... na LMDE 2 : 3.16.0-5 -amd64
« Ostatnia zmiana: Luty 11, 2018, 12:41:03 pm wysłana przez kris777 »